Skip to main content
GET
List Currencies

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234_abcdef

Query Parameters

currency_char_code
string[]

Filter by currency char code (e.g. USD, EUR). Can be multiple.

Returns currencies with the specified char code.

Examples:

  • &currency_char_code=USD
  • &currency_char_codeEUR&currency_char_codeUSD

Available values:

  • EUR - Euro
  • USD - US Dollar
currency_id
integer[]

Filter by currency ID. Can be multiple.

Returns currencies with the specified ID.

Examples:

  • &currency_id=1
  • &currency_id=1&currency_id=2

Available values:

  • 1 - US Dollar
  • 2 - Euro
limit
integer

Number of results to return per page. Maximum is 100. Default is 20.

name_en
string
offset
integer

The initial index from which to return the results.

order_by
enum<string>[]

Ordering of the results.

For ascending sort order use field.asc, for descending sort order use field.desc.

For sorting by multiple parameters write them as comma separated string: client_id.asc,id.desc.

Final stable tiebreak ordering is added except when pk sorting used.

  • char_code.asc - Char code
  • char_code.desc - Char code (descending)
  • number_code.asc - Number code
  • number_code.desc - Number code (descending)
  • name_en.asc - Name en
  • name_en.desc - Name en (descending)
Available options:
char_code.asc,
char_code.desc,
name_en.asc,
name_en.desc,
number_code.asc,
number_code.desc
ordering
enum<string>[]

Ordering of the results.

This field is left for compatibility and can be deprecated in future versions. Use order_by instead.

Default sort order is ascending. Put - before value for descending sort order: -id.

For sorting by multiple parameters write them as comma separated string: -client_id,id.

Final stable tiebreak ordering is added except when pk sorting used.

  • char_code - Char code
  • -char_code - Char code (descending)
  • number_code - Number code
  • -number_code - Number code (descending)
  • name_en - Name en
  • -name_en - Name en (descending)
Available options:
-char_code,
-name_en,
-number_code,
char_code,
name_en,
number_code

Response

Request successful.

count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?offset=400&limit=100"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?offset=200&limit=100"